package com.bocloud.cmp.provider.azure.automation;

import com.bocloud.cmp.model.azure.automation.AutomationAccountModel;
import com.bocloud.cmp.model.azure.automation.DeploymentPlanModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DeploymentProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 14:36
 */
public interface DeploymentProvider extends SuperProvider {

    //获取部署计划
    default BocloudResult listDeploymentPlan(DeploymentPlanModel model) {
        return new BocloudResult(false, "need implement");
    }

    //创建部署计划
    default BocloudResult createDeploymentPlan(DeploymentPlanModel model) {
        return new BocloudResult(false, "need implement");
    }

    //删除部署计划
    default BocloudResult removeDeploymentPlan(DeploymentPlanModel model) {
        return new BocloudResult(false, "need implement");
    }

    //部署自动化账户
    default BocloudResult deploymentAutomationAccount(AutomationAccountModel model, String deploymentName) {
        return new BocloudResult(false, "need implement");
    }

    //查询部署计划执行历史记录
    default BocloudResult softwareUpdateConfigurationRuns(AutomationAccountModel model) {
        return new BocloudResult(false, "need implement");
    }

}